{% extends "templates/web.html" %}
{% block title %}Créneau des Ateliers Ouverts{% endblock %}
{% block header %}
<h4 class="mb-6 mt-4">Les prochaines ouvertures de nos ateliers partagés bois et métal à Lusignan (86)</h4>
{% endblock header %}

{% block head_include %}
<link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/add-to-calendar-button@1.8/assets/css/atcb.min.css">
{% endblock %}

{% block page_content %}
<div id="preambule">
	<p><a class="btn btn-primary" href="mailto:atelierdusoleiletduvent+calendrier-ateliers@gmail.com?subject=Demande%20d'ouverture%20des%20ateliers&body=Bonjour%2C%0D%0A%0D%0ACi-dessous%20ma%20demande%20d'ouverture%20d'un%20cr%C3%A9neau%20%3A%0D%0A-%20Date%20%26%20horaires%20%3A%0D%0A-%20Nom%20%3A%0D%0A-%20Pr%C3%A9nom%20%3A%0D%0A-%20Projet%20%3A%0D%0A-%20Equipements%20souhait%C3%A9s%20%3A%0D%0A%0D%0AJe%20confirme%20%C3%AAtre%20%C3%A0%20jour%20de%20cotisation%202023.">=> Demander l'ouverture d'un créneau.</a></p>
	<p><a class="btn btn-primary" href="mailto:atelierdusoleiletduvent+calendrier-ateliers@gmail.com?subject=Proposition%20d'ouverture%20des%20ateliers&body=Bonjour%2C%0A%0ACi-dessous%20ma%20proposition%20d'ouverture%20de%20cr%C3%A9neau%20(en%20tant%20qu'accompagnateur)%20%3A%0A%0A-%20Nom%20%3A%0A-%20Pr%C3%A9nom%20%3A%0A-%20Equipements%20avec%20accompagnement%20%3A%20%0A-%20Dates%20%2F%20horaires%20%2F%20modalit%C3%A9s%20%3A%0A%20%20-%20ex%3A%201er%20f%C3%A9vrier%209h-17h%20%2F%20avec%20accompagnement%20%2F%20%C3%A0%20confirmer%0A%20%20-%20...%0A%0AJe%20confirme%20%C3%AAtre%20%C3%A0%20jour%20de%20cotisation%202023.">=> Proposer l'ouverture d'un créneau<br/> (en tant qu'accompagnateur)</a></p>
	<p><a class="btn btn-info"
			href="/app/creneau-ouverture-atelier">=>
			Gérer les créneaux d'ouverture<br/>(pour les encadrants seulement)</a></p>
</div>

<p class="">En cas de besoin ou de difficultés d'inscription, <br/>Merci d'envoyer un email à <a href="mailto:atelierdusoleiletduvent+calendrier-ateliers@gmail.com">atelierdusoleiletduvent@gmail.com</a></p>

<div id="calendrier-ateliers">
	{% for c in cs %} 
	<div class="row justify-content-md-center mt-6 pt-6" style="border-top: 2px dashed grey;">
		<div class="col-lg"></div>
		
		<div class="col-lg-5 col-md-7">
			<h3 style="line-height:1.5rem">{{ c.creneau_pretty.capitalize() }} - {{ c.horaires_pretty }}</h3>
			<span style='color: {{ c.color }}; font-size: 1.3rem; font-weight: bold;'>{{ c.statut.lower() }}</span>
		</div>
		
		<div class="col-lg-5 col-md-5">
			<div class="atcb" style="display:none;">
			{{ c.atoc_data | tojson if c.atoc_data }}
			</div>
		</div>

		<div class="col-lg"></div>
	</div>

	<div class="row justify-content-md-center">
		<div class="col-lg"></div>
		<div class="col-lg-10 col-md-12">
			<h4>{{ c.intitule }}</h4>
			
			<h5 class="bold">Référent Ouverture : {{ c.referent if c.referent }}</h5>
			
			{% if c.accompagnement_possible == 1 %}
			<p>Accompagnement possible : </p>
			<ul>
			{% for k in c.qualifs_accompagnement %}
				<li>{{ k }} : {{ c.qualifs_accompagnement[k] | join(' / ') }}</li>
			{% endfor %}	
			</ul>
			
			<p>Accompagnateurs : </p>
			<ul>
				{% for acc in c.accompagnateurs %}
				<li>{{ acc.nom_affiche }} {{ "- " + acc.details if acc.details}}</li>
				{% endfor %}
				<li>
					<a href="mailto:atelierdusoleiletduvent+calendrier-ateliers@gmail.com?subject=Accompagnement%20Cr%C3%A9neau%20Atelier%20%2F%20{{ c.intitule }}&body=Bonjour%2C%0D%0A%0D%0AJe%20souhaite%20me%20proposer%20pour%20accompagner%20lors%20du%20cr%C3%A9neau%20suivant%20%3A%20{{ c.intitule }}%0D%0ADate%20%3A%20{{ c.creneau_pretty.capitalize() }} - {{ c.horaires_pretty }}%0D%0AR%C3%A9f%C3%A9rent%20ouverture%20%3A%20{{ c.referent if c.referent }}%0D%0A%0D%0AMon%20pr%C3%A9nom%20%3A%0D%0AMon%20nom%20%3A%0D%0AMon%20projet%20%3A" class="font-italic">Inscription</a>
				</li>
				
			</ul>


			{% else %}
			<p>Pas d'accompagnement prévu. <a href="mailto:atelierdusoleiletduvent+calendrier-ateliers@gmail.com?subject=Accompagnement%20Cr%C3%A9neau%20Atelier%20%2F%20{{ c.intitule }}&body=Bonjour%2C%0D%0A%0D%0AJe%20souhaite%20me%20proposer%20pour%20accompagner%20lors%20du%20cr%C3%A9neau%20suivant%20%3A%20{{ c.intitule }}%0D%0ADate%20%3A%20{{ c.creneau_pretty.capitalize() }} - {{ c.horaires_pretty }}%0D%0AR%C3%A9f%C3%A9rent%20ouverture%20%3A%20{{ c.referent if c.referent }}%0D%0A%0D%0AMon%20pr%C3%A9nom%20%3A%0D%0AMon%20nom%20%3A%0D%0AMon%20projet%20%3A" class="font-italic" >Se proposer</a></p>
			{% endif %}

			<p>Participants : </p>
			<ul>
				{% for p in c.participants %}
				<li>{{ p.nom_affiche }} {{"- " + p.projet if p.projet }}</li>
				{% endfor %}
				<li>
					<a href="mailto:atelierdusoleiletduvent+calendrier-ateliers@gmail.com?subject=Participation%20Cr%C3%A9neau%20Atelier%20%2F%20{{ c.intitule }}&body=Bonjour%2C%0D%0A%0D%0AJe%20souhaite%20participer%20au%20cr%C3%A9neau%20suivant%20%3A%20{{ c.intitule }}%0D%0ADate%20%3A%20{{ c.creneau_pretty.capitalize() }} - {{ c.horaires_pretty }}%0D%0AR%C3%A9f%C3%A9rent%20ouverture%20%3A%20{{ c.referent if c.referent }}%0D%0A%0D%0AMon%20pr%C3%A9nom%20%3A%0D%0AMon%20nom%20%3A%0D%0AMon%20projet%20%3A" class="font-italic" >Inscription</a>
				</li>
			</ul>

		</div>
		<div class="col-lg"></div>
	

	</div>
	{% endfor %}
</div>
{% endblock %}

{% block script %}
<script src="https://cdn.jsdelivr.net/npm/add-to-calendar-button@1.8" defer></script>
{% endblock %}